// by gopi@testbench.in
`ifndef PHY_INTF_CLASS
`define PHY_INTF_CLASS
`define OUTPUT_EDGE  PHOLD  `1


interface phy_intf (input logic clk);

  wire [2:0] Speed        ;
  wire       Tx_er        ;
  wire       Tx_en        ;
  wire [7:0] Txd          ;
  wire       Rx_er        ;
  wire       Rx_dv        ;
  wire  [7:0]Rxd          ;
  wire       Crs          ;
  wire       Col          ;
  
  parameter SETUP_TIME = 1;
  parameter HOLD_TIME = 1;
  
  clocking cb@(posedge clk);
    default input #SETUP_TIME output #HOLD_TIME;
  
    input     Speed         ;
    input     Tx_er         ;
    input     Tx_en         ;
    input     Txd           ;
    output    Rx_er         ;
    output    Rx_dv         ;
    output    Rxd           ;
    output    Crs           ;
    output    Col           ;
  
  endclocking 

endinterface 

 
`endif

